"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var deepMerge = require("deepmerge");
function mergeResolvers(resolversDefinitions) {
    if (!resolversDefinitions || resolversDefinitions.length === 0) {
        return {};
    }
    if (resolversDefinitions.length === 1) {
        return resolversDefinitions[0];
    }
    var resolversFactories = new Array();
    var resolvers = new Array();
    for (var _i = 0, resolversDefinitions_1 = resolversDefinitions; _i < resolversDefinitions_1.length; _i++) {
        var resolversDefinition = resolversDefinitions_1[_i];
        if (typeof resolversDefinition === 'function') {
            resolversFactories.push(resolversDefinition);
        }
        else if (typeof resolversDefinition === 'object') {
            resolvers.push(resolversDefinition);
        }
    }
    if (resolversFactories.length) {
        return (function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var resultsOfFactories = resolversFactories.map(function (factory) { return factory.apply(void 0, args); });
            return deepMerge.all(resolvers.concat(resultsOfFactories));
        });
    }
    else {
        return deepMerge.all(resolvers);
    }
}
exports.mergeResolvers = mergeResolvers;
//# sourceMappingURL=merge-resolvers.js.map