"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("./utils");
var directives_1 = require("./directives");
function fieldAlreadyExists(fieldsArr, otherField) {
    var result = fieldsArr.find(function (field) { return field.name.value === otherField.name.value; });
    if (result) {
        var t1 = utils_1.extractType(result.type);
        var t2 = utils_1.extractType(otherField.type);
        if (t1.name.value !== t2.name.value) {
            throw new Error("Field \"" + otherField.name.value + "\" already defined with a different type. Declared as \"" + t1.name.value + "\", but you tried to override with \"" + t2.name.value + "\"");
        }
    }
    return !!result;
}
function mergeFields(f1, f2) {
    var result = f2.slice();
    var _loop_1 = function (field) {
        if (fieldAlreadyExists(result, field)) {
            var existing = result.find(function (f) { return f.name.value === field.name.value; });
            existing['directives'] = directives_1.mergeDirectives(field['directives'], existing['directives']);
        }
        else {
            result.push(field);
        }
    };
    for (var _i = 0, f1_1 = f1; _i < f1_1.length; _i++) {
        var field = f1_1[_i];
        _loop_1(field);
    }
    return result;
}
exports.mergeFields = mergeFields;
//# sourceMappingURL=fields.js.map