"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fields_1 = require("./fields");
var directives_1 = require("./directives");
function mergeInputType(node, existingNode) {
    if (existingNode) {
        try {
            return {
                name: node.name,
                description: node['description'] || existingNode['description'],
                kind: (node.kind === 'InputObjectTypeDefinition' || existingNode.kind === 'InputObjectTypeDefinition') ? 'InputObjectTypeDefinition' : 'InputObjectTypeExtension',
                loc: node.loc,
                fields: fields_1.mergeFields(node.fields, existingNode.fields),
                directives: directives_1.mergeDirectives(node.directives, existingNode.directives),
            };
        }
        catch (e) {
            throw new Error("Unable to merge GraphQL input type \"" + node.name.value + "\": " + e.message);
        }
    }
    return node;
}
exports.mergeInputType = mergeInputType;
//# sourceMappingURL=input-type.js.map