"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_1 = require("graphql");
var SchemaFromString = /** @class */ (function () {
    function SchemaFromString() {
    }
    SchemaFromString.prototype.canHandle = function (str) {
        // XXX: is-valid-path or is-glob treat SDL as a valid path
        // (`scalar Date` for example)
        // this why checking the extension is fast enough
        // and prevent from parsing the string in order to find out
        // if the string is a SDL
        if (/\.[a-z0-9]+$/i.test(str)) {
            return false;
        }
        try {
            graphql_1.parse(str);
            return true;
        }
        catch (e) {
            return false;
        }
    };
    SchemaFromString.prototype.handle = function (str) {
        return graphql_1.parse(str);
    };
    return SchemaFromString;
}());
exports.SchemaFromString = SchemaFromString;
//# sourceMappingURL=schema-from-string.js.map